org.firstinspires.ftc.robotcore.external.matrices

## Class ColumnMajorMatrixF

- java.lang.Object
- - org.firstinspires.ftc.robotcore.external.matrices.MatrixF
  - - org.firstinspires.ftc.robotcore.external.matrices.DenseMatrixF
    - - org.firstinspires.ftc.robotcore.external.matrices.ColumnMajorMatrixF

- Direct Known Subclasses:
    OpenGLMatrix

      public abstract class ColumnMajorMatrixF
      extends DenseMatrixF

  A `ColumnMajorMatrixF` is a dense matrix whose entries are arranged in column-major order.
  See Also:
    Row Major Order

- - ### Field Summary

    - ### Fields inherited from class org.firstinspires.ftc.robotcore.external.matrices.MatrixF

      `numCols, numRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnMajorMatrixF(int nRows, int nCols)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `indexFromRowCol(int row, int col)` Given a row and column index into the matrix, returns the corresponding index into the underlying float[] array.
    `VectorF` | `toVector()` If the receiver is one-dimensional in one of its dimensions, returns a vector containing the data of the receiver; otherwise, an exception is thrown.

    - ### Methods inherited from class org.firstinspires.ftc.robotcore.external.matrices.DenseMatrixF

      `get, getData, put`

    - ### Methods inherited from class org.firstinspires.ftc.robotcore.external.matrices.MatrixF

      `adaptHomogeneous, add, add, add, added, added, added, diagonalMatrix, diagonalMatrix, dimensionsError, dimensionsError, emptyMatrix, formatAsTransform, formatAsTransform, getColumn, getRow, getTranslation, identityMatrix, inverted, multiplied, multiplied, multiplied, multiplied, multiply, multiply, multiply, multiply, numCols, numRows, slice, slice, subtract, subtract, subtract, subtracted, subtracted, subtracted, toString, transform, transposed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnMajorMatrixF

          public ColumnMajorMatrixF(int nRows,
                                    int nCols)

  - ### Method Detail

    - #### indexFromRowCol

          protected int indexFromRowCol(int row,
                                        int col)

      Description copied from class: `DenseMatrixF`
      Given a row and column index into the matrix, returns the corresponding index into the underlying float[] array.
      Specified by:
        `indexFromRowCol` in class `DenseMatrixF`
      Parameters:
        `row` - the row whose index is desired
        `col` - the column whose index is desired
      Returns:
        the index of (row,col) in the data returned by `DenseMatrixF.getData()`

    - #### toVector

          public VectorF toVector()

      Description copied from class: `MatrixF`
      If the receiver is one-dimensional in one of its dimensions, returns a vector containing the data of the receiver; otherwise, an exception is thrown.
      Overrides:
        `toVector` in class `MatrixF`
      Returns:
        a vector containing the data of the receiver